? uber.mak
? info/cl.info
? info/cl.info-1
? info/cl.info-2
? info/cl.info-3
? info/cl.info-4
? info/cl.info-5
? info/cl.info-6
? info/custom.info
? info/emodules.info
? info/external-widget.info
? info/info.info
? info/lispref.info
? info/lispref.info-1
? info/lispref.info-2
? info/lispref.info-3
? info/lispref.info-4
? info/lispref.info-5
? info/lispref.info-6
? info/lispref.info-7
? info/lispref.info-8
? info/lispref.info-9
? info/lispref.info-10
? info/lispref.info-11
? info/lispref.info-12
? info/lispref.info-13
? info/lispref.info-14
? info/lispref.info-15
? info/lispref.info-16
? info/lispref.info-17
? info/lispref.info-18
? info/lispref.info-19
? info/lispref.info-20
? info/lispref.info-21
? info/lispref.info-22
? info/lispref.info-23
? info/lispref.info-24
? info/lispref.info-25
? info/lispref.info-26
? info/lispref.info-27
? info/lispref.info-28
? info/lispref.info-29
? info/lispref.info-30
? info/lispref.info-31
? info/lispref.info-32
? info/lispref.info-33
? info/lispref.info-34
? info/lispref.info-35
? info/lispref.info-36
? info/lispref.info-37
? info/lispref.info-38
? info/lispref.info-39
? info/lispref.info-40
? info/lispref.info-41
? info/lispref.info-42
? info/lispref.info-43
? info/lispref.info-44
? info/lispref.info-45
? info/lispref.info-46
? info/lispref.info-47
? info/lispref.info-48
? info/internals.info
? info/internals.info-1
? info/internals.info-2
? info/internals.info-3
? info/internals.info-4
? info/internals.info-5
? info/internals.info-6
? info/internals.info-7
? info/internals.info-8
? info/internals.info-9
? info/new-users-guide.info
? info/new-users-guide.info-1
? info/new-users-guide.info-2
? info/new-users-guide.info-3
? info/standards.info
? info/standards.info-1
? info/standards.info-2
? info/standards.info-3
? info/standards.info-4
? info/term.info
? info/termcap.info
? info/termcap.info-1
? info/termcap.info-2
? info/termcap.info-3
? info/texinfo.info
? info/texinfo.info-1
? info/texinfo.info-2
? info/texinfo.info-3
? info/texinfo.info-4
? info/texinfo.info-5
? info/texinfo.info-6
? info/texinfo.info-7
? info/texinfo.info-8
? info/texinfo.info-9
? info/texinfo.info-10
? info/texinfo.info-11
? info/texinfo.info-12
? info/widget.info
? info/xemacs.info
? info/xemacs.info-1
? info/xemacs.info-2
? info/xemacs.info-3
? info/xemacs.info-4
? info/xemacs.info-5
? info/xemacs.info-6
? info/xemacs.info-7
? info/xemacs.info-8
? info/xemacs.info-9
? info/xemacs.info-10
? info/xemacs.info-11
? info/xemacs.info-12
? info/xemacs.info-13
? info/xemacs.info-14
? info/xemacs.info-15
? info/xemacs.info-16
? info/xemacs.info-17
? info/xemacs.info-18
? info/xemacs.info-19
? info/xemacs.info-20
? info/xemacs.info-21
? info/xemacs.info-22
? info/xemacs.info-23
? info/xemacs-faq.info
? info/xemacs-faq.info-1
? info/xemacs-faq.info-2
? info/xemacs-faq.info-3
? info/xemacs-faq.info-4
? info/xemacs-faq.info-5
? info/xemacs-faq.info-6
? lisp/mule/auto-autoloads.el
? lisp/mule/custom-load.el
Index: configure.in
===================================================================
RCS file: /pack/xemacscvs/XEmacs/xemacs/configure.in,v
retrieving revision 1.168
diff -u -w -u -w -r1.168 configure.in
--- configure.in	2001/09/26 14:38:17	1.168
+++ configure.in	2001/12/13 04:56:27
@@ -2596,6 +2596,9 @@
 
       AC_MSG_CHECKING(gtk cflags)
       GTK_CFLAGS=`${GTK_CONFIG} --cflags`
+      if test "$GCC" = "yes"; then
+      	GTK_CFLAGS="${GTK_CFLAGS} -Wno-shadow"
+      fi
       XE_APPEND(${GTK_CFLAGS}, c_switch_gtk)
       AC_MSG_RESULT(${GTK_CFLAGS})
 
Index: lisp/faces.el
===================================================================
RCS file: /pack/xemacscvs/XEmacs/xemacs/lisp/faces.el,v
retrieving revision 1.25
diff -u -w -u -w -r1.25 faces.el
--- lisp/faces.el	2001/05/04 22:42:01	1.25
+++ lisp/faces.el	2001/12/13 04:56:29
@@ -1761,96 +1761,62 @@
 ;; the first non-stream device.
 
 (set-face-background 'text-cursor
-		     '(((x default) . "Red3")
-		       ((mswindows default) . "Red3"))
+		     '(((win default) . "Red3"))
 		     'global)
 
 ;; some older X servers don't recognize "darkseagreen2"
 (set-face-background 'highlight
-		     '(((x default color) . "darkseagreen2")
-		       ((x default color) . "green")
-		       ((x default grayscale) . "gray53")
-		       ((mswindows default color) . "darkseagreen2")
-		       ((mswindows default color) . "green")
-		       ((mswindows default grayscale) . "gray53"))
+		     '(((win default color) . "darkseagreen2")
+		       ((win default color) . "green")
+		       ((win default grayscale) . "gray53"))
 		     'global)
 (set-face-background-pixmap 'highlight
-			    '(((x default mono) . "gray1")
-;; 			      ((gtk default mono) . "gray1")
-			      ((mswindows default mono) . "gray1"))
+			    '(((win default mono) . "gray1"))
 			    'global)
 
 (set-face-background 'zmacs-region
-		     '(((x default color) . "gray65")
-		       ((x default grayscale) . "gray65")
-		       ((mswindows default color) . "gray65")
-		       ((mswindows default grayscale) . "gray65"))
+		     '(((win default color) . "gray65")
+		       ((win default grayscale) . "gray65"))
 		     'global)
 (set-face-background-pixmap 'zmacs-region
-			    '(((x default mono) . "gray3")
-;; 			      ((gtk default mono) . "gray3")
-			      ((mswindows default mono) . "gray3"))
+			    '(((win default mono) . "gray3"))
 			    'global)
 
 (set-face-background 'list-mode-item-selected
-		     '(((x default color) . "gray68")
-		       ((x default grayscale) . "gray68")
-		       ((x default mono) . [default foreground])
-;; 		       ((gtk default color) . "gray68")
-;; 		       ((gtk default grayscale) . "gray68")
-;; 		       ((gtk default mono) . [default foreground])
-		       ((mswindows default color) . "gray68")
-		       ((mswindows default grayscale) . "gray68")
-		       ((mswindows default mono) . [default foreground]))
+		     '(((win default color) . "gray68")
+		       ((win default grayscale) . "gray68")
+		       ((win default mono) . [default foreground]))
 		     'global)
 (set-face-foreground 'list-mode-item-selected
-		     '(((x default mono) . [default background])
-		       ((mswindows default mono) . [default background]))
+		     '(((win default mono) . [default background]))
 		     'global)
 
 (set-face-background 'primary-selection
-		     '(((x default color) . "gray65")
-		       ((x default grayscale) . "gray65")
-		       ((mswindows default color) . "gray65")
-		       ((mswindows default grayscale) . "gray65"))
+		     '(((win default color) . "gray65")
+		       ((win default grayscale) . "gray65"))
 		     'global)
 (set-face-background-pixmap 'primary-selection
-			    '(((x default mono) . "gray3")
-			      ;;((gtk default mono) . "gray3")
-			      ((mswindows default mono) . "gray3"))
+			    '(((win default mono) . "gray3"))
 			    'global)
 
 (set-face-background 'secondary-selection
-		     '(((x default color) . "paleturquoise")
-		       ((x default color) . "green")
-		       ((x default grayscale) . "gray53")
-		       ;;((gtk default color) . "paleturquoise")
-		       ;;((gtk default color) . "green")
-		       ;;((gtk default grayscale) . "gray53")
-		       ((mswindows default color) . "paleturquoise")
-		       ((mswindows default color) . "green")
-		       ((mswindows default grayscale) . "gray53"))
+		     '(((win default color) . "paleturquoise")
+		       ((win default color) . "green")
+		       ((win default grayscale) . "gray53"))
 		     'global)
 (set-face-background-pixmap 'secondary-selection
-			    '(((x default mono) . "gray1")
-			      ;;((gtk default mono) . "gray1")
-			      ((mswindows default mono) . "gray1"))
+			    '(((win default mono) . "gray1"))
 			    'global)
 
 (set-face-background 'isearch
-		     '(((x default color) . "paleturquoise")
-		       ((x default color) . "green")
-		       ;;((gtk default color) . "paleturquoise")
-		       ;;((gtk default color) . "green")
-		       ((mswindows default color) . "paleturquoise")
-		       ((mswindows default color) . "green"))
+		     '(((win default color) . "paleturquoise")
+		       ((win default color) . "green"))
 		     'global)
 
 ;; #### This should really, I mean *really*, be converted to some form
 ;; of `defface' one day.
 (set-face-foreground 'isearch-secondary
-		     '(((x default color) . "red3")
-		       ((mswindows default color) . "red3"))
+		     '(((win default color) . "red3"))
 		     'global)
 
 ;; Define some logical color names to be used when reading the pixmap files.
Index: lisp/gtk-faces.el
===================================================================
RCS file: /pack/xemacscvs/XEmacs/xemacs/lisp/gtk-faces.el,v
retrieving revision 1.3
diff -u -w -u -w -r1.3 gtk-faces.el
--- lisp/gtk-faces.el	2001/05/04 22:42:04	1.3
+++ lisp/gtk-faces.el	2001/12/13 04:56:29
@@ -42,15 +42,6 @@
    gtk-font-selection-dialog-cancel-button gtk-widget-show-all
    gtk-main))
 
-(defun gtk-init-find-device ()
-  (let ((dev nil)
-	(devices (device-list)))
-    (while (and (not dev) devices)
-      (if (eq (device-type (car devices)) 'gtk)
-	  (setq dev (car devices)))
-      (setq devices (cdr devices)))
-    dev))
-
 ;;; gtk-init-device-faces is responsible for initializing default
 ;;; values for faces on a newly created device.
 ;;;
@@ -58,29 +49,8 @@
   ;;
   ;; If the "default" face didn't have a font specified, try to pick one.
   ;;
-  (if (not (eq (device-type device) 'gtk))
-      nil
-    (gtk-init-pointers)
-    '(let* ((style (gtk-style-info device))
-	   ;;(normal 0)			; GTK_STATE_NORMAL
-	   ;;(active 1)			; GTK_STATE_ACTIVE
-	   (prelight 2)			; GTK_STATE_PRELIGHT
-	   (selected 3)			; GTK_STATE_SELECTED
-	   ;;(insensitive 4)		; GTK_STATE_INSENSITIVE
-	   )
-      (set-face-foreground 'highlight
-			   (nth prelight (plist-get style 'text))
-			   device)
-      (set-face-background 'highlight
-			   (nth prelight (plist-get style 'background))
-			   device)
-      (set-face-foreground 'zmacs-region
-			   (nth selected (plist-get style 'text))
-			   device)
-      (set-face-background 'zmacs-region
-			   (nth selected (plist-get style 'background))
-			   device))
-    (set-face-background 'text-cursor "red3" device)))
+  (when (eq (device-type device) 'gtk)
+    (gtk-init-pointers)))
 
 ;;; This is called from `init-frame-faces', which is called from
 ;;; init_frame_faces() which is called from Fmake_frame(), to perform
@@ -94,9 +64,9 @@
 ;;; specified.
 ;;;
 (defun gtk-init-global-faces ()
-  (let* ((dev (gtk-init-find-device))
+  (let* ((dev nil)
 	 (default-font (or (face-font 'default 'global)
-			   ;(plist-get (gtk-style-info dev) 'font)
+			   ;;(plist-get (gtk-style-info dev) 'font)
 			   "-*-courier-medium-r-*-*-*-120-*-*-*-*-iso8859-*"))
 	 (italic-font (or (gtk-make-font-italic default-font dev) default-font))
 	 (bold-font (or (gtk-make-font-bold default-font dev) default-font))
Index: lisp/gui.el
===================================================================
RCS file: /pack/xemacscvs/XEmacs/xemacs/lisp/gui.el,v
retrieving revision 1.6
diff -u -w -u -w -r1.6 gui.el
--- lisp/gui.el	2001/04/12 18:21:26	1.6
+++ lisp/gui.el	2001/12/13 04:56:29
@@ -89,10 +89,8 @@
 (if (not (face-differs-from-default-p 'gui-button-face))
     (progn
       (set-face-reverse-p 'gui-button-face t)
-      (set-face-background 'gui-button-face '(((x color) . "grey75")
-					      ((mswindows color) . "grey75")))
-      (set-face-foreground 'gui-button-face '(((x color) . "black")
-					      ((mswindows color) . "black")))))
+      (set-face-background 'gui-button-face '(((win color) . "grey75")))
+      (set-face-foreground 'gui-button-face '(((win color) . "black")))))
 
 
 (defun gui-button-action (instance action user-data)
Index: src/console-gtk.h
===================================================================
RCS file: /pack/xemacscvs/XEmacs/xemacs/src/console-gtk.h,v
retrieving revision 1.2
diff -u -w -u -w -r1.2 console-gtk.h
--- src/console-gtk.h	2001/04/12 18:23:29	1.2
+++ src/console-gtk.h	2001/12/13 04:56:30
@@ -222,14 +222,14 @@
 		      int start_pixpos, int width, face_index findex,
 		      int cursor, int cursor_start, int cursor_width,
 		      int cursor_height);
-void gtk_output_gdk_pixmap (struct frame *f, struct Lisp_Image_Instance *p,
-			    int x, int y, int clip_x, int clip_y,
-			    int clip_width, int clip_height, int width,
-			    int height, int pixmap_offset,
-			    GdkColor *fg, GdkColor *bg,
-			    GdkGC *override_gc);
+void gtk_output_gdk_pixmap (struct frame *f, struct Lisp_Image_Instance *p, int x,
+			    int y, int xoffset, int yoffset,
+			    int width, int height, 
+			    GdkColor *fg, GdkColor *bg, GdkGC *override_gc);
 void gtk_output_shadows (struct frame *f, int x, int y, int width,
 		       int height, int shadow_thickness);
+GdkGC *gtk_get_gc (struct device *d, Lisp_Object font, Lisp_Object fg, Lisp_Object bg,
+		   Lisp_Object bg_pmap, Lisp_Object lwidth);
 
 int gtk_initialize_frame_menubar (struct frame *f);
 void gtk_init_modifier_mapping (struct device *d);
Index: src/console.h
===================================================================
RCS file: /pack/xemacscvs/XEmacs/xemacs/src/console.h,v
retrieving revision 1.30
diff -u -w -u -w -r1.30 console.h
--- src/console.h	2001/09/20 06:28:51	1.30
+++ src/console.h	2001/12/13 04:56:30
@@ -25,6 +25,9 @@
 #ifndef INCLUDED_console_h_
 #define INCLUDED_console_h_
 
+/* For struct rune */
+#include "redisplay.h"
+
 /* Devices and consoles are similar entities.  The idea is that
    a console represents a physical keyboard/mouse/other-input-source
    while a device represents a display where frames appear on.
@@ -180,6 +183,13 @@
 				       int, int, int, int, int, int, int);
   int (*divider_height_method) (void);
   int (*eol_cursor_width_method) (void);
+
+  void (*output_blank_method) (struct window *w, struct display_line *dl,
+			       struct rune *rb, int start_pixpos,
+			       int cursor_start, int cursor_width);
+  void (*output_eol_cursor_method) (struct window *w, struct display_line *dl,
+				    int xpos, face_index findex);
+  void (*output_horizontal_line_method) (struct window *w, struct display_line *dl, struct rune *rb);
   void (*output_vertical_divider_method) (struct window *, int);
   void (*clear_to_window_end_method) (struct window *, int, int);
   void (*clear_region_method) (Lisp_Object, struct device*, struct frame*, face_index,
